Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# Math::BigInt::Calc

Perl 5 version 26.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# Math::BigInt::Calc

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO

# NAME

Math::BigInt::Calc - Pure Perl module to support Math::BigInt

# SYNOPSIS

        # to use it with Math::BigInt    use Math::BigInt lib => 'Calc';    # to use it with Math::BigFloat    use Math::BigFloat lib => 'Calc';    # to use it with Math::BigRat    use Math::BigRat lib => 'Calc';

# DESCRIPTION

Math::BigInt::Calc inherits from Math::BigInt::Lib.

In this library, the numbers are represented in base B = 10**N, where N is the largest possible value that does not cause overflow in the intermediate computations. The base B elements are stored in an array, with the least significant element stored in array element zero. There are no leading zero elements, except a single zero element when the number is zero.

For instance, if B = 10000, the number 1234567890 is represented internally as [7890, 3456, 12].

# SEE ALSO

Math::BigInt::Lib for a description of the API.

Alternative libraries Math::BigInt::FastCalc, Math::BigInt::GMP, and Math::BigInt::Pari.

Some of the modules that use these libraries Math::BigInt, Math::BigFloat, and Math::BigRat.

Page index

- NAME
- SYNOPSIS
- DESCRIPTION
- SEE ALSO